package com.tofly.ghrq_route.module.incident.domain;

import java.util.List;

/**
 * Created by lihualong on 2017/11/3.
 */

public class DeviceUploadEvent {
    public static final String SHOW_DEVICED_UPLOADING = "show_deviced_uploading";
    public static final String SHOW_DEVICED = "show_deviced";
    private String event;
    private List<DeviceUploadBean> deviceUploadBeans;
    private DeviceUploadBean deviceUploadBean;
    private String total;
    private String pagesize;

    public DeviceUploadEvent(String event, List<DeviceUploadBean> deviceUploadBeans, String total, String pagesize) {
        this.event = event;
        this.deviceUploadBeans = deviceUploadBeans;
        this.total = total;
        this.pagesize = pagesize;
    }

    public String getTotal() {
        return total;
    }

    public String getPagesize() {
        return pagesize;
    }

    public DeviceUploadEvent(String event, DeviceUploadBean deviceUploadBean) {
        this.event = event;
        this.deviceUploadBean = deviceUploadBean;
    }

    public DeviceUploadBean getDeviceUploadBean() {
        return deviceUploadBean;
    }

    public String getEvent() {
        return event;
    }

    public List<DeviceUploadBean> getDeviceUploadBeans() {
        return deviceUploadBeans;
    }
}
